modplug plugin still fails to compile on Windows.

July 07, 2012 21:17 - Carlo Bramini

Status: Closed Start date: July 07, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/modplug Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.4   

Description

I'm still getting an error when compiling modplug plugin with a not hacked Windows SDK.

The problem is into src/modplug/modplugbmp.cxx, in the implementation of method PlayLoop in ModplugXMMS class: in the

processing of the block related to mModProps.mPreamp, there are some variables declared as "uint".

This type does not exists in PSDK and in the official W32API package, so I would like to suggest to change them to "uint32_t", which

is the same type used for mBufSize.

Attached patch fixes this behavior.

History

#1 - July 08, 2012 15:40 - John Lindgren

- Category set to plugins/modplug

- Status changed from New to Closed

- Target version set to 38

- % Done changed from 0 to 100

- Affects version 3.2.4 added

- Affects version deleted (3.4)

This is already fixed in Git:

https://github.com/audacious-media-player/audacious-plugins/commit/447ab350d0b4b7757153d5762f13eb2cfbf12583

#2 - March 06, 2015 04:05 - John Lindgren

- Target version deleted (38)

Files

lst 1.08 KB July 07, 2012 Carlo Bramini

Powered by TCPDF (www.tcpdf.org)

May 08, 2025 1/1

https://github.com/audacious-media-player/audacious-plugins/commit/447ab350d0b4b7757153d5762f13eb2cfbf12583
http://www.tcpdf.org

